# CoastalConcepts_EditFlag.rb
#
# An extension that displays an edit warning flag popup window
# when editing a component, if it's definition has multiple instances.
#
# SketchUp Ruby Extension by Dan Rathbun, AUG 2013.
# Licensed to: Ash Scott, Coastal Concepts.

require('sketchup.rb')
require('extensions.rb')

### THIS FILE BELONGS IN THE PLUGINS DIRECTORY ###

module CoastalConcepts # <--<<< Ash Scott's top level namespace
 
  module EditFlag  # <--<<< this plugin's sub namespace
  
    @@extension = SketchupExtension.new( "EditFlag", "CoastalConcepts_EditFlag/EditFlag_loader.rb" )
    @@extension.version = '2.2.0'
    @@extension.creator = "Coastal Concepts 2004 Ltd"
    @@extension.copyright = "2013"
    @@extension.description = "Displays an edit warning flag popup window when editing a component, if it's definition has multiple instances."
    
    Sketchup.register_extension(@@extension, true)

  end # module EditFlag
 
end # module CoastalConcepts